Package Gnumed :: Package timelinelib :: Package db |
[frames] | no frames]

# Package db

source code

Submodules
Gnumed.timelinelib.db.interface Gnumed.timelinelib.db.strategies Gnumed.timelinelib.db.utils

Functions
db_open(path, timetype=None) Create timeline database that can read and write timeline data from and to persistent storage identified by path. | source code
open_gregorian_tutorial_timeline(path) | source code
open_numeric_tutorial_timeline(path) | source code
open_directory_timeline(path) | source code
db_open_timeline(path, timetype=None) | source code
db_open_newtype_timeline(path, timetype=None) | source code
dir_is_read_only(path) | source code
db_open_ics(path) | source code
file_starts_with(path, start) | source code
read_first_line(path) | source code

Imports: os, tempfile, TimelineIOError, Category, Event, TimePeriod, ViewProperties

Function Details

### db_open(path, timetype=None) | source code
Create timeline database that can read and write timeline data from and to persistent storage identified by path. Throw a TimelineIOError exception if not able to read from the given path. Valid values for path: special string ":tutorial:" string with suffix .timeline string with suffix .ics string denoting a directory